#include <Adafruit_GFX.h>    // Core graphics library
#include <Adafruit_ILI9341.h> // Hardware-specific library

// For the Adafruit ILI9341, these are the pins used for a typical hookup
#define TFT_CS     1  // Chip select
#define TFT_RST    7   // Reset
#define TFT_DC     0   // Data/Command

// Initialize the library with the pins
Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC, TFT_RST);

void setup() {
  Serial.begin(9600);
  tft.begin();
  tft.setRotation(1); // Depending on your monitor's orientation
  tft.fillScreen(ILI9341_BLACK);
  tft.setTextSize(5);
  tft.setTextColor(ILI9341_WHITE, ILI9341_BLACK);
}

void loop() {
  int sensorValue = analogRead(A0); // Read the potentiometer
  float voltage = sensorValue * (3.3 / 1023.0); // Convert to voltage assuming 3.3V reference

  tft.setCursor(0, 0);
  tft.print("Voltage: ");
  tft.println();
  tft.print(voltage);
  tft.println(" V");

  delay(200); // Update the display every 200ms
}
